aboutsummaryrefslogtreecommitdiffhomepage
path: root/third_party/ijar
diff options
context:
space:
mode:
authorGravatar Kristina Chodorow <kchodorow@google.com>2016-06-16 20:30:57 +0000
committerGravatar Yue Gan <yueg@google.com>2016-06-17 09:26:21 +0000
commitbdfd58a8ca2ed5735d6aaa5b238fb0f689515724 (patch)
treefd40061fd63c6d4403d04e94af05d16ded2cab42 /third_party/ijar
parent3b62451a3c9e5eba3a892473d406cd02d84db5c3 (diff)
Make the execution root match the runfiles tree structure for external repositories
One interesting side effect of how this is implemented is that for external repositories, bin/ and genfiles/ are combined. External repo output is under bazel-out/local-fastbuild/repo_name for each repo. Fixes #1262. RELNOTES[INC]: Previously, an external repository would be symlinked into the execution root at execroot/local_repo/external/remote_repo. This changes it to be at execroot/remote_repo. This may break genrules/Skylark actions that hardcode execution root paths. If this causes breakages for you, ensure that genrules are using $(location :target) to access files and Skylark rules are using http://bazel.io/docs/skylark/lib/File.html's path, dirname, etc. functions. -- MOS_MIGRATED_REVID=125095799
Diffstat (limited to 'third_party/ijar')
-rw-r--r--third_party/ijar/test/BUILD16
-rwxr-xr-xthird_party/ijar/test/ijar_test.sh6
2 files changed, 11 insertions, 11 deletions
diff --git a/third_party/ijar/test/BUILD b/third_party/ijar/test/BUILD
index da06173368..b0c8a9c6fd 100644
--- a/third_party/ijar/test/BUILD
+++ b/third_party/ijar/test/BUILD
@@ -9,12 +9,11 @@ sh_test(
size = "enormous",
srcs = ["ijar_test.sh"],
args = [
- "../local_jdk/bin/javac",
- "../local_jdk/bin/java",
- "../local_jdk/bin/jar",
- "../local_jdk/bin/javap",
- "io_bazel/$(location //third_party/ijar)",
- "io_bazel/$(location //tools/jdk:langtools)",
+ "$(location @local_jdk//:bin/javac)",
+ "$(location @local_jdk//:bin/java)",
+ "$(location @local_jdk//:bin/jar)",
+ "$(location @local_jdk//:bin/javap)",
+ "$(location //third_party/ijar)",
# We assume unzip and zip to be on the path
"unzip",
"zip",
@@ -43,7 +42,10 @@ sh_test(
# wrong.
"libwrongcentraldir.jar",
"//tools/defaults:jdk",
- "//tools/jdk:langtools",
+ "@local_jdk//:bin/javac",
+ "@local_jdk//:bin/java",
+ "@local_jdk//:bin/jar",
+ "@local_jdk//:bin/javap",
],
shard_count = 5,
tags = ["zip"],
diff --git a/third_party/ijar/test/ijar_test.sh b/third_party/ijar/test/ijar_test.sh
index 89f9a4bc75..2fb24801ba 100755
--- a/third_party/ijar/test/ijar_test.sh
+++ b/third_party/ijar/test/ijar_test.sh
@@ -26,9 +26,7 @@ JAR=$1
shift
JAVAP=$1
shift
-IJAR=$TEST_SRCDIR/$1
-shift
-LANGTOOLS8=$TEST_SRCDIR/$1
+IJAR=$1
shift
UNZIP=$1
shift
@@ -343,7 +341,7 @@ function test_type_annotation() {
$JAVAP -classpath $TYPEANN2_IJAR -v Util >& $TEST_log || fail "javap failed"
expect_log "RuntimeVisibleTypeAnnotations" "RuntimeVisibleTypeAnnotations not preserved!"
cp $TYPEANN2_JAVA $TEST_TMPDIR/TypeAnnotationTest2.java
- $JAVAC -J-Xbootclasspath/p:$LANGTOOLS8 $TEST_TMPDIR/TypeAnnotationTest2.java -cp $TYPEANN2_IJAR ||
+ $JAVAC $TEST_TMPDIR/TypeAnnotationTest2.java -cp $TYPEANN2_IJAR ||
fail "javac failed"
}